public static interface XQueryEndpointBuilderFactory.XQueryBuilders
| Modifier and Type | Method and Description |
|---|---|
default XQueryEndpointBuilderFactory.XQueryEndpointBuilder |
xquery(String path)
XQuery (camel-saxon)
Query and/or transform XML payloads using XQuery and Saxon.
|
default XQueryEndpointBuilderFactory.XQueryEndpointBuilder |
xquery(String componentName,
String path)
XQuery (camel-saxon)
Query and/or transform XML payloads using XQuery and Saxon.
|
default XQueryEndpointBuilderFactory.XQueryEndpointBuilder xquery(String path)
xquery:resourceUri
Path parameter: resourceUri (required)
The name of the template to load from classpath or file systempath - resourceUridefault XQueryEndpointBuilderFactory.XQueryEndpointBuilder xquery(String componentName, String path)
xquery:resourceUri
Path parameter: resourceUri (required)
The name of the template to load from classpath or file systemcomponentName - to use a custom component name for the endpoint
instead of the default namepath - resourceUriApache Camel